using UnityEngine;
using System.Collections;

public class TM_UI_Base : MonoBehaviour 
{
    protected bool bFirstUpdate = true;

	// Use this for initialization
    public virtual void Start() 
    {

	}
	
	//Use base.update at the end of your Override virtual functions
	public virtual void Update ()
	{
	    if (bFirstUpdate)
	        bFirstUpdate = false;
	}

    public virtual void TurnOn()
    {
        gameObject.SetActive(true);
    }

    public virtual void TurnOff()
    {
        gameObject.SetActive(false);
    }
}
